#!/usr/bin/env python

"""
Module for turning a single fractional (floating-point) number into a fraction.
"""

from itertools import imap as map

def fraction(number):
	numerator, denominator = 1.0, 1.0
	fract = numerator / denominator
	while fract != number:
		if fract < number:
			numerator += 1.0
		else:
			denominator += 1.0
		fract = numerator / denominator
	return numerator, denominator

if __name__ == "__main__":
	import sys
	args = sys.argv[1:]
	if not args:
		args = [line.strip() for line in sys.stdin]
	for number in args:
		if '/' in number:
			import operator
			number = operator.div(*map(float, (number.split('/'))))
		else:
			number = float(number)
		print '%i/%i\t%r' % (fraction(number) + (number,))
